<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jdbc Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jdbc Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/jdbc/escape/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.jdbc</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">AbstractFieldMetaData</span></a> (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBParameterMetaData</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdParameterMetaData</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBResultSetMetaData.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBResultSetMetaData</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdResultSetMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdResultSetMetaData</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">AbstractFieldMetaData.ExtendedFieldInfo</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">AbstractFieldMetaData.FieldKey</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractResultSet.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">AbstractResultSet</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.FetcherListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.FetcherListener</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc">FirebirdResultSet</a>, java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBResultSet.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBResultSet</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBArray.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBArray</span></a> (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Array.html?is-external=true" title="class or interface in java.sql">Array</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBBlob.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBBlob</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBCachedBlob.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBCachedBlob</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBClob.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBClob</span></a> (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Clob.html?is-external=true" title="class or interface in java.sql">Clob</a>, java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/NClob.html?is-external=true" title="class or interface in java.sql">NClob</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBConnection</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc">FirebirdConnection</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBConnectionDefaults.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBConnectionDefaults</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBConnectionProperties.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBConnectionProperties</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc">FirebirdConnectionProperties</a>, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBDatabaseMetaData</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdDatabaseMetaData</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBDatabaseMetaData.Clause.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBDatabaseMetaData.Clause</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBDriver.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBDriver</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc">FirebirdDriver</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.NoActionBlobListener.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBObjectListener.NoActionBlobListener</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.NoActionResultSetListener.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBObjectListener.NoActionResultSetListener</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.ResultSetListener</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBProcedureCall.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBProcedureCall</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBProcedureParam.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBProcedureParam</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBRowId.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBRowId</span></a> (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/RowId.html?is-external=true" title="class or interface in java.sql">RowId</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBRowUpdater.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBRowUpdater</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBSavepoint.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBSavepoint</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdSavepoint.html" title="interface in org.firebirdsql.jdbc">FirebirdSavepoint</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBStatement</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractPreparedStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">AbstractPreparedStatement</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdPreparedStatement</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBPreparedStatement</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractCallableStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">AbstractCallableStatement</span></a> (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdCallableStatement</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBCallableStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBCallableStatement</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBTpbMapper.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBTpbMapper</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBUpdatableCursorFetcher.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBUpdatableCursorFetcher</span></a></li>
<li type="circle">java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io"><span class="typeNameLink">InputStream</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBBlobInputStream.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBBlobInputStream</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobInputStream</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">InternalTransactionCoordinator</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">InternalTransactionCoordinator.AbstractTransactionCoordinator</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>, org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.StatementListener</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">JavaTypeNameConstants</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/JaybirdTypeCodes.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">JaybirdTypeCodes</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Jdbc42VersionSupport.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Jdbc42VersionSupport</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/JdbcVersionSupport.html" title="interface in org.firebirdsql.jdbc">JdbcVersionSupport</a>)</li>
<li type="circle">java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io"><span class="typeNameLink">OutputStream</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a>, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Flushable.html?is-external=true" title="class or interface in java.io">Flushable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBBlobOutputStream.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBBlobOutputStream</span></a> (implements org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobOutputStream</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.ds.<a href="../../../org/firebirdsql/ds/RootCommonDataSource.html" title="class in org.firebirdsql.ds"><span class="typeNameLink">RootCommonDataSource</span></a> (implements javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBDataSource.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBDataSource</span></a> (implements javax.sql.<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql">DataSource</a>, javax.resource.Referenceable, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">SQLStateConstants</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaDataFactory.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">StoredProcedureMetaDataFactory</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">SQLException</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBSQLException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBSQLException</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBDriverConsistencyCheckException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBDriverConsistencyCheckException</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBMissingParameterException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBMissingParameterException</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBResultSetNotUpdatableException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBResultSetNotUpdatableException</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBSQLExceptionInfo.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBSQLExceptionInfo</span></a></li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLNonTransientException.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">SQLNonTransientException</span></a>
<ul>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">SQLFeatureNotSupportedException</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBDriverNotCapableException.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">FBDriverNotCapableException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">AutoCloseable</span></a>
<ul>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Connection</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdConnection</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">ResultSet</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdResultSet</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Statement</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdStatement</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdPreparedStatement</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdCallableStatement</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">PreparedStatement</span></a>
<ul>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">CallableStatement</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdCallableStatement</span></a> (also extends org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdPreparedStatement</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdPreparedStatement</span></a> (also extends org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdCallableStatement</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Blob</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdBlob</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Driver.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Driver</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdDriver</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FBObjectListener</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FBObjectListener.BlobListener</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.FetcherListener.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FBObjectListener.FetcherListener</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.ResultSetListener.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FBObjectListener.ResultSetListener</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FBObjectListener.StatementListener</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdBlob.BlobInputStream</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdBlob.BlobOutputStream</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdConnectionProperties</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/JdbcVersionSupport.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">JdbcVersionSupport</span></a></li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Savepoint.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Savepoint</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdSavepoint.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdSavepoint</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">StoredProcedureMetaData</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Synchronizable</span></a></li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Wrapper</span></a>
<ul>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Connection</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdConnection</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">DatabaseMetaData</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdDatabaseMetaData</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">ParameterMetaData</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdParameterMetaData</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">ResultSet</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdResultSet.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdResultSet</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSetMetaData.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">ResultSetMetaData</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdResultSetMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdResultSetMetaData</span></a></li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">Statement</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdStatement</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdPreparedStatement</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdCallableStatement</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">PreparedStatement</span></a>
<ul>
<li type="circle">java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><span class="typeNameLink">CallableStatement</span></a>
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdCallableStatement</span></a> (also extends org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdPreparedStatement</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdPreparedStatement</span></a> (also extends org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdStatement.html" title="interface in org.firebirdsql.jdbc">FirebirdStatement</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdCallableStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">FirebirdCallableStatement</span></a> (also extends java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql">CallableStatement</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/JdbcVersionSupportHolder.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">JdbcVersionSupportHolder</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/JaybirdType.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">JaybirdType</span></a> (implements java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLType.html?is-external=true" title="class or interface in java.sql">SQLType</a>)</li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/QuoteStrategy.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">QuoteStrategy</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FBStatement.StatementResult.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">FBStatement.StatementResult</span></a></li>
<li type="circle">org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/CompletionReason.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">CompletionReason</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/jdbc/escape/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
